# GetPrimaryLocation

Get primary location data associated with a PCode

`GET /api/v2/afc/primary/{pCode}`

**API:** AFC SaaS Pro REST v2
**Tag:** Lookups
**API Version:** v2
**Authentication:** Basic (username + license key) or Bearer token

Source: https://developer.avalara.com/products/communications/api/v2/methods/Lookups/GetPrimaryLocation/

## Description

Request will return primary jurisdiction associated with the PCode

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `client_id` | integer | header | Yes | The client id. |
| `pCode` | integer | path | Yes |  |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `PCodeLookupResult` |

### 200 Response: `PCodeLookupResult`

Jurisdiction information returned when searching location matches.

| Property | Type | Required | Description |
|---|---|---|---|
| `LocationData` | LocationItem[] | No | List of location matches for the address being searched. |
| `MatchCount` | integer | No | Number of matches returned. |
| `InputMatchType` | string | No | Match type from user input. "Exact" match or "Best" match. |
| `MatchTypeApplied` | string | No | Indicates whether the matches returned are based on an "Exact" match or "Best" match. |
| `ResultsLimit` | integer | No | Maximum number of results applied to search. |